%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Net_Ping

Name:           php-pear-Net-Ping
Version:        2.4.5
Release:        13%{?dist}
Summary:        Execute ping

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Net_Ping
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear
# for xml2changelog
BuildRequires:  php-simplexml

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       /bin/ping

Provides:       php-pear(%{pear_name}) = %{version}


%description
OS independent wrapper class for executing ping calls.


%prep
%setup -q -c
%{_bindir}/php %{SOURCE2} package.xml >CHANGELOG

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Net


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug  5 2013 Remi Collet <remi@fedoraproject.org> - 2.4.5-10
- xml2changelog need simplexml

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 2.4.5-8
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Apr 18 2011 Remi Collet <Fedora@FamilleCollet.com> 2.4.5-4
- doc in /usr/share/doc/pear
- define timezone during build

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat May 22 2010 Remi Collet <Fedora@FamilleCollet.com> 2.4.5-2
- spec cleanup

* Sat Nov 14 2009 Remi Collet <Fedora@FamilleCollet.com> 2.4.5-1
- update to 2.4.5 (bugfix)
- rename Net_Ping.xml to php-pear-Net-Ping.xml


* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Remi Collet <Fedora@FamilleCollet.com> 2.4.4-1
- update to 2.4.4 (bugfix)

* Fri Dec 28 2007 Remi Collet <Fedora@FamilleCollet.com> 2.4.3-1
- update to 2.4.3

* Tue Jul 16 2007 Remi Collet <Fedora@FamilleCollet.com> 2.4.2-1
- update to 2.4.2
- package is now 2.0 (no need to convert)
- remove LICENSE (Review Guidelines : If (and only if) the source package includes...)

* Wed May 16 2007 Remi Collet <Fedora@FamilleCollet.com> 2.4.1-2
- From review, correct typo.
- add Requires: /bin/ping
- add simple test in %%check 

* Sat May 12 2007 Remi Collet <Fedora@FamilleCollet.com> 2.4.1-1
- initial RPM (generated specfile + cleanup)
- add CHANGELOG and LICENSE
- convert package.xml to package2.xml

